> ## Documentation Index
> Fetch the complete documentation index at: https://thenile.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Sign in to the application

> Authenticates a user and creates a session.



## OpenAPI

````yaml https://us-west-2.api.thenile.dev/v2/openapi post /v2/databases/{database}/auth/signin
openapi: 3.0.0
info:
  title: Nile auth API
  version: '0.1'
servers: []
security: []
tags: []
paths:
  /v2/databases/{database}/auth/signin:
    post:
      tags:
        - auth
      summary: Sign in to the application
      description: Authenticates a user and creates a session.
      parameters:
        - $ref: '#/components/parameters/database'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  format: email
                  example: user@example.com
                password:
                  type: string
                  format: password
                  example: yourpassword
              required:
                - email
                - password
      responses:
        '200':
          description: Successful authentication
          content:
            application/json:
              schema:
                type: object
                properties:
                  user:
                    type: object
                    properties:
                      name:
                        type: string
                        example: User Name
                      email:
                        type: string
                        format: email
                        example: user@example.com
                      image:
                        type: string
                        format: uri
                        example: https://example.com/user.png
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Unauthorized
components:
  parameters:
    database:
      name: database
      in: path
      required: true
      schema:
        type: string
      description: The string (id or name, depending on the credentials)

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.